Page MenuHomePhabricator

Improve trademark code in MobileFrontend
Closed, ResolvedPublic1 Story Points

Description

Need to be able to specify where the trademark symbols are displayed (header and/or footer), and which symbol is displayed (if any): ® or TM.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterRemoving registered trademark symbol from footer of Office Wiki
operations/mediawiki-config : masterRemoving redundant ® from mobile wordmark
mediawiki/extensions/MobileFrontend : masterImprove trademark code in MobileFrontend

Event Timeline

phuedx created this task.Apr 3 2015, 1:38 PM
phuedx raised the priority of this task from to Needs Triage.
phuedx updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2015, 1:38 PM
phuedx set Security to None.Apr 3 2015, 1:38 PM
phuedx edited a custom field.
phuedx edited a custom field.
JKatzWMF edited a custom field.Apr 8 2015, 5:09 PM
kaldari claimed this task.Apr 8 2015, 8:26 PM
kaldari moved this task from To Do to Doing on the Mobile-Web-Sprint-44-Road-Warrior:-Mad-Max-2 board.

Change 202926 had a related patch set uploaded (by Kaldari):
Removing ® from mobile wordmark

https://gerrit.wikimedia.org/r/202926

Deskana added a subscriber: Deskana.EditedApr 8 2015, 9:43 PM

Did this get Legal signoff in the end? Just double-checking since that's not documented in this card.

No, still waiting on sign-off from legal.

Did this get Legal signoff in the end? Just double-checking since that's not documented in this card.

Thanks for flagging. Yana has provided advice via email.

Looks like legal isn't budging. The best we can get is removing the ® from the header, but not the footer, which would require having two separate configuration variables (which would be rather confusing for 3rd party users). I'm going to put this card back in Needs Analysis for now.

Florian added a subscriber: Florian.Apr 9 2015, 2:18 PM

@kaldari: Most 3rd party users (it's not based on some data, just a feeling) doesn't use any trademark or anything in the name, so maybe we can use the actual config var for header and footer and introduce a new one, which defaults to the value of the old one (or null) and use it only, if it is set in LocalSettings.php? :)

kaldari renamed this task from Mobile menu improvements (alpha) - Remove ® from wordmark to Improve trademark code.Apr 13 2015, 6:35 PM
kaldari renamed this task from Improve trademark code to Improve trademark code in MobileFrontend.
kaldari updated the task description. (Show Details)

Here's my latest idea... No trademark in the header. The trademark in the footer will be a text trademark symbol controlled by the $wgMFTrademarkSitename global variable. The potential variable values will be:

  • false/null - no trademark symbol
  • registered - ®
  • unregistered - ™
  • true (for backwards compat) - ™

Change 207318 had a related patch set uploaded (by Kaldari):
Improve trademark code in MobileFrontend

https://gerrit.wikimedia.org/r/207318

Change 207318 merged by jenkins-bot:
Improve trademark code in MobileFrontend

https://gerrit.wikimedia.org/r/207318

Florian closed this task as Resolved.Apr 29 2015, 10:06 PM
Deskana removed a subscriber: Deskana.Apr 30 2015, 7:02 PM

Change 202926 merged by jenkins-bot:
Removing redundant ® from mobile wordmark

https://gerrit.wikimedia.org/r/202926

We are currently displaying the (R) on office.wikimedia.org, which is incorrect.

CRoslof added a subscriber: CRoslof.Nov 9 2016, 5:05 PM

It would be better for office.wikimedia.org to display

Wikimedia® Office

rather than

Wikimedia Office®

Since I doubt anyone using Office Wiki is likely to infringe our trademarks, it should probably just be set to $wgMFTrademarkSitename = false. The ® isn't legally required. It's just a way to argue that we enforce our trademarks if we have to take someone to court.

Do you know where that config file is?

Change 320865 had a related patch set uploaded (by Kaldari):
Removing registered trademark symbol from footer of Office Wiki

https://gerrit.wikimedia.org/r/320865

Change 320865 had a related patch set uploaded (by Kaldari):
Removing registered trademark symbol from footer of Office Wiki

https://gerrit.wikimedia.org/r/320865

Change 320865 merged by jenkins-bot:
Removing registered trademark symbol from footer of Office Wiki

https://gerrit.wikimedia.org/r/320865

Mentioned in SAL (#wikimedia-operations) [2016-11-11T00:18:22Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Remove registered trademark symbol from officewiki footer (T95007) (duration: 00m 48s)